## advanced-systemui 0.5.6

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

DEPS = xft dbus-1 gconf-2.0
# conic

LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags $(DEPS)` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o alarm.o flashlight.o battery_graph.o procviewer.o governor_dsp.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

cfg:
	@(cd settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T asui.sh $(DESTDIR)/usr/bin/asui
	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
	# install -o root -g root -m 755 -T debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
	cp debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early

	install -o root -g root -m 644 advanced-systemui*.desktop $(DESTDIR)/usr/share/applications/hildon/
	install -o root -g root -m 644 asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
	install -o root -g root -m 644 advanced-systemui.sudoers $(DESTDIR)/etc/sudoers.d/

	@(cd settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c											window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
config.o: Makefile config.c										         main.h               config.h            hardware.h
window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
draw.o: Makefile draw.c											window.h        draw.h text.h config.h
text.o: Makefile text.c											window.h main.h        text.h
hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h dialog.h dbus.h dsme.h
services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h
dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h
secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h
flashlight.o: Makefile flashlight.c								         main.h draw.h                            hardware.h dialog.h        dsme.h                  flashlight.h
battery_graph.o: Makefile battery_graph.c						window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 battery_graph.h
procviewer.o: Makefile procviewer.c								window.h main.h draw.h text.h          services.h            dialog.h                                                                                                                 procviewer.h
governor_dsp.o: Makefile governor_dsp.c							window.h main.h draw.h text.h                     hardware.h dialog.h                                                                                                                 governor_dsp.h

button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h
button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h
button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                             widget_battery.h                                                    battery_graph.h procviewer.h governor_dsp.h
widget_brightness.o: Makefile widget_brightness.c				window.h main.h draw.h text.h config.h            hardware.h                                                                                      widget_brightness.h
widget_volume.o: Makefile widget_volume.c						window.h main.h draw.h text.h config.h            hardware.h                                                                                                          widget_volume.h
widget_bluetooth.o: Makefile widget_bluetooth.c					window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c								window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c							window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h                  flashlight.h                  widget_clock.h
widget_audio.o: Makefile widget_audio.c							window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c						window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c								window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c								window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c								window.h main.h draw.h text.h config.h            hardware.h

=== debian/changelog ===
advanced-systemui (0.5.6) unstable; urgency=low

  * fix: asui-settings messages describing alarm volume step were incorrect
  * fix: com.nokia.icd2.state_sig is now properly removed after first received signal (initialization)
  * fix: cpu usage should no longer exceed 100% or go negative
  * fix: charger and headphone signals display tklock notification if screen was off
  * fix: charger connect signal properly handles secondary unlock key and blank window
  * fix: charger disconnect signal properly handles secondary unlock key, relock and blank window
  * fix: closing keyboard will show locked notification when locked
  * fix: opening/closing keyboard after blanking screen won't show blanking pause notification
  * fix: opening/closing keyboard will close the blank window
  * fix: mmc open/close signal properly handles secondary unlock key, relock, blank window and blanking pause notification
  * fix: usb connection signal properly handles secondary unlock key, relock, blank window and blanking pause notification
  * fix: lock keys for the 2 seconds it takes power button to blank screen when locked
  * fix: turn off wifi and bluetooth and wait for their services to acknowledge before entering flight mode
  * com.nokia.bme.signal.battery_state_changed is now removed after first received signal (initialization)
  * don't wake ASUI process for unused system_ui, mce and bme signals
  * don't wake main thread if the dbus signal updates a non-visible value
  * listen for flight mode signal instead of polling
  * display "disconnecting" in wifi widget
  * short tap on battery status will toggle between active/idle and drain rate for last hour and last 2 hours to 7 days
  * long press on battery status will open a battery graph
  * only start/stop ssh servers if their init.d files exist
  * changed start/stop service buttons to toggle buttons to better highlight started services
  * setting to disable screen unlocked notifications when screen turns on and wasn't locked
  * increased statusbar icons from 6 battery states to 9: 100, 88, 76, 64, 52, 40, 28, 16 and 4

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Tue, 19 Apr 2011 11:59:46 -0600

=== debian/control ===
Source: advanced-systemui
Section: user/utilities
Priority: extra
Maintainer: Brand Huntsman <brand.huntsman@gmail.com>
Build-Depends: debhelper (>= 5), libx11-dev, libxpm-dev, libxrandr-dev, libxrender-dev, libxft-dev, libdbus-1-dev, libgconf2-dev, libgtk2.0-dev, libhildondesktop-dev, libhildon1-dev, libosso-dev
Standards-Version: 2.0

Package: advanced-systemui
Section: user/utilities
Architecture: any
Depends: ${shlibs:Depends}
Description: Replaces the SystemUI menu with large buttons
 to lock&blank, lock, blank, secure lock, toggle flight mode,
 reboot, shutdown and rotate screen. Also includes battery status,
 cpu governor selection, process viewer, volume and brightness
 controls, clock, flashlight, start/stop various services to
 conserve memory and toggle wifi, bluetooth and gps.
 .
 <URL:http://asui.garage.maemo.org>
XB-Maemo-Display-Name: Advanced SystemUI
XB-Maemo-Upgrade-Description: bug fixes, battery usage widget, battery graph and more statusbar states
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
 6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
 SU1FB9sECQ4VHvuBWXsAAANVSURBVEjHvZZBbrs4FMa/YINDEqWyVCUbs2HL
 BWBvabbd5C49QnuFXCFXYE8uMF2ywRuiSlajEMUCk1mUZPh3Og35SzNP8gLL
 5ie/5+97HuGOeHl5EQACAAKAAlA8Pz+rIXsp7osAQAwgAZB1c/8JSHSQ1T0Q
 AHDwPwW9UQ8AwJA63FpPftiUAEi01lEURSPOOcIwDABE3Xjrxl5KGQH4w/f9
 CMCDlHKfpun+x9T1ICsACSEkGJKabt11X/+E/wB9gQgAsNYWQ0C9deI72BUk
 pRRlWSZVVa16Otlwzjfr9TpL0/TbOqVpqtbrdcY53wDYdPtEVVWrsiwTKaX4
 BRSGYeD7fkIISbqpDEA2VJDduuyiL0JI4vt+0tX1E9RR47quY2OMqKpKlWWp
 hkL6sLIsVVVVyhgj6rqOAcRSSnE5UcAYCxzHCRhjylqrqqpSv6OXqqqUtVYx
 xlT3vwBA4ADAcrkUlFLhOI5o27aw1hZ5nhe/A8rzvLDWFm3bFo7jCEqpWC6X
 ggLAYrHAbDYDIQTj8VhNJhP1b8W/FWmaKimlAqBOpxMopX87w3K5HPof1TPT
 7JbXjcdjAMB0Or3bVIseUPW+h3ldWZb91N26woNTejqdYK3F4XD4vN673Q6H
 wwHGGByPR6G1Fheh3RtSSqG1FsfjURhjcDgcsNvtPkFlWaqmaVTbtspxnIAQ
 ElyEdm+EYRgQQgLHcYK2bVXTNKosS3XRUUEpzTzPywCAUhpzzuOvxjikVXDO
 Y0ppDACe52WU0gxAQbq7v396etp7nrenlM5d1537vv+gtZ5fWkSe5/uf0nVp
 FZzzxHXdOaX0zfO8zWw2y9brtRr95N7H4xFN02zf398LANs8z4u+vqSUoktx
 /Pj4GFBK48lkcrmVm75Xjr47vtZ6xRhb1XWdMMZUVVWF67pba23BOb+CtNaC
 EBLUdR1Pp9PAGCNc182MMRvO+abvleQbZe+jKBq5rru31s49z3s4n88RYywg
 hAjXda9d9nw+J5TS5Hw+R5TSvTHmz7ZtN1rr7evr69vNN0Oe50UYhgAA13WD
 pmniznSTX7qm4wCAapomG41G24+Pj2uKBz1OujooKWUBIDDGYLFYgFIq+oI2
 xqBpmmK3220ZY5uvNezHX1O3sq2x6Ii9AAAAAElFTkSuQmCC

## advanced-systemui 0.5.7

=== Makefile ===
--- 
+++ 
@@ -25,8 +25,8 @@
 ####################
 
 OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o dsme.o secure.o alarm.o flashlight.o battery_graph.o procviewer.o governor_dsp.o \
-	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o \
-	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_widgets.o \
+	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o button_screenshot.o \
+	button_screen_stayslit.o button_screen_autolock.o button_settings.o button_edit_buttons.o button_edit_widgets.o \
 	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
 	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o
 
@@ -53,6 +53,11 @@
 	cp asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui
 
 	# autobuilder doesn't support -T
+	# install -o root -g root -m 755 -T screenshot.sh $(DESTDIR)/usr/bin/advanced-systemui-screenshot
+	cp screenshot.sh $(DESTDIR)/usr/bin/advanced-systemui-screenshot
+	chown root.root $(DESTDIR)/usr/bin/advanced-systemui-screenshot ; chmod 755 $(DESTDIR)/usr/bin/advanced-systemui-screenshot
+
+	# autobuilder doesn't support -T
 	# install -o root -g root -m 755 -T debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
 	cp debian/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
 	# install -o root -g root -m 755 -T debian/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
@@ -73,7 +78,7 @@
 	@echo "compiling $<"
 	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""
 
-main.o: Makefile main.c											window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h
+main.o: Makefile main.c											window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h button_rotate.h
 config.o: Makefile config.c										         main.h               config.h            hardware.h
 window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
 dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
@@ -93,11 +98,13 @@
 button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
 button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
 button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h
-button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h
+button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h                                                                                                                          button_rotate.h
 button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
+button_screenshot.o: Makefile button_screenshot.c				window.h main.h draw.h text.h config.h
 button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
 button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
 button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
+button_edit_buttons.o: Makefile button_edit_buttons.c			         main.h draw.h text.h config.h
 button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h
 
 widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                             widget_battery.h                                                    battery_graph.h procviewer.h governor_dsp.h

=== debian/changelog ===
advanced-systemui (0.5.7) unstable; urgency=low

  * fix: short events should no longer disappear from the battery graph
  * fix: don't clip last X usage hours to 24
  * fix: restore control panel screen settings on shutdown and battery_empty signals
  * fix: widget editor page number was in the wrong location for portrait mode
  * no longer prompts for application category when upgrading
  * hour and 24 hour tick marks on battery graph
  * charger events on battery graph
  * horizontal lines every 10% on battery graph
  * used same alignment for all labels in bottom area of battery graph
  * setting to lock&blank screen with power button instead of opening/closing ASUI
  * merged the n800_lock_mode and the new softpoweroff_mode into a power_action setting
  * changed 28% battery icon from gray shell to yellow
  * screenshot button that provides an interface for the screenshot-tool package
  * governor/dsp now opens with short tap instead of a long
  * time_in_state percentages for each cpu clock on governor/dsp dialog
  * button positioning can be changed by the user

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat, 30 Apr 2011 17:47:57 -0600

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes, battery usage widget, battery graph and more statusbar states
+XB-Maemo-Upgrade-Description: bug fixes, button editor, screenshot button and minor enhancements
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## advanced-systemui 0.5.8

=== Makefile ===
#	Advanced System UI
#	Copyright (c) 2010-2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)
NAME = advanced-systemui

DEPS = xft dbus-1 gconf-2.0
# conic

LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread
CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags $(DEPS)` -pthread
LDFLAGS =
PROG = $(NAME)

#################### EDIT HERE

# test build
#include .makefile-test
#CFLAGS += -DTESTLOG

# debug build
#include .makefile-debug

####################

OBJS = main.o config.o window.o dialog.o draw.o text.o hardware.o services.o dbus.o powerbutton.o dsme.o secure.o alarm.o flashlight.o battery_graph.o process_viewer.o governor_dsp.o \
	button_lock.o button_flight_mode.o button_reboot_shutdown.o button_rotate.o button_key_repeat.o button_screenshot.o \
	button_screen_stayslit.o button_screen_autolock.o button_sounds.o button_settings.o button_edit_buttons.o button_edit_widgets.o \
	widget_battery.o widget_brightness.o widget_volume.o widget_bluetooth.o widget_gps.o widget_wifi.o \
	widget_clock.o widget_audio.o widget_desktop.o widget_ssh.o widget_vpn.o widget_usb.o

all: $(PROG)
	$(POSTCMD)

cfg:
	@(cd settings ; make)

sb:
	@(cd statusbar ; make)

clean:
	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
	@(cd settings ; make clean)
	@(cd statusbar ; make clean)

install: $(NAME)
	strip $(NAME)
	install -o root -g root -m 755 $(NAME) $(DESTDIR)/usr/bin/

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T scripts/asui.sh $(DESTDIR)/usr/bin/asui
	cp scripts/asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T scripts/screenshot.sh $(DESTDIR)/usr/bin/$(NAME)-screenshot
	cp scripts/screenshot.sh $(DESTDIR)/usr/bin/$(NAME)-screenshot
	chown root.root $(DESTDIR)/usr/bin/$(NAME)-screenshot ; chmod 755 $(DESTDIR)/usr/bin/$(NAME)-screenshot

	# autobuilder doesn't support -T
	# install -o root -g root -m 755 -T scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
	cp scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
	# install -o root -g root -m 755 -T scripts/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
	cp scripts/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early ; chown root.root $(DESTDIR)/etc/init.d/$(NAME)-early ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)-early

	install -o root -g root -m 644 scripts/$(NAME)*.desktop $(DESTDIR)/usr/share/applications/hildon/
	install -o root -g root -m 644 scripts/asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
	install -o root -g root -m 644 scripts/$(NAME).sudoers $(DESTDIR)/etc/sudoers.d/

	@(cd settings ; make install)
	@(cd statusbar ; make install)

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c powerbutton.h							window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h button_rotate.h button_reboot_shutdown.h
config.o: Makefile config.c										         main.h               config.h            hardware.h
window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
draw.o: Makefile draw.c											window.h        draw.h text.h config.h
text.o: Makefile text.c											window.h main.h        text.h
hardware.o: Makefile hardware.c									window.h main.h               config.h services.h hardware.h dialog.h dbus.h dsme.h
services.o: Makefile services.c									         main.h draw.h        config.h services.h hardware.h
dbus.o: Makefile dbus.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h
powerbutton.o: Makefile powerbutton.c							window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h          alarm.h                                                                                  powerbutton.h
dsme.o: Makefile dsme.c											window.h main.h               config.h            hardware.h dialog.h dbus.h dsme.h
secure.o: Makefile secure.c										         main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h secure.h         flashlight.h widget_battery.h widget_clock.h
alarm.o: Makefile alarm.c										         main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h
flashlight.o: Makefile flashlight.c								         main.h draw.h                            hardware.h dialog.h        dsme.h                  flashlight.h
battery_graph.o: Makefile battery_graph.c						window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 battery_graph.h
process_viewer.o: Makefile process_viewer.c						window.h main.h draw.h text.h          services.h            dialog.h                                                                                                                 process_viewer.h
governor_dsp.o: Makefile governor_dsp.c							window.h main.h draw.h text.h                     hardware.h dialog.h                                                                                                                 governor_dsp.h

button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 button_reboot_shutdown.h
button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h                                                                                                                          button_rotate.h
button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h
button_screenshot.o: Makefile button_screenshot.c				window.h main.h draw.h text.h config.h
button_screen_stayslit.o: Makefile button_screen_stayslit.c		window.h main.h draw.h text.h config.h            hardware.h
button_screen_autolock.o: Makefile button_screen_autolock.c		window.h main.h draw.h text.h config.h            hardware.h
button_sounds.o: Makefile button_sounds.c						window.h main.h draw.h text.h config.h
button_settings.o: Makefile button_settings.c					window.h main.h draw.h text.h config.h
button_edit_buttons.o: Makefile button_edit_buttons.c			         main.h draw.h text.h config.h
button_edit_widgets.o: Makefile button_edit_widgets.c			         main.h draw.h text.h config.h

widget_battery.o: Makefile widget_battery.c						window.h main.h draw.h text.h config.h services.h hardware.h dialog.h                                             widget_battery.h                                                    battery_graph.h process_viewer.h governor_dsp.h
widget_brightness.o: Makefile widget_brightness.c				window.h main.h draw.h text.h config.h            hardware.h                                                                                      widget_brightness.h
widget_volume.o: Makefile widget_volume.c						window.h main.h draw.h text.h config.h            hardware.h                                                                                                          widget_volume.h
widget_bluetooth.o: Makefile widget_bluetooth.c					window.h main.h draw.h text.h config.h services.h hardware.h
widget_gps.o: Makefile widget_gps.c								window.h main.h draw.h text.h config.h services.h hardware.h
widget_wifi.o: Makefile widget_wifi.c							window.h main.h draw.h text.h config.h services.h hardware.h
widget_clock.o: Makefile widget_clock.c							window.h main.h draw.h text.h config.h            hardware.h dialog.h        dsme.h                  flashlight.h                  widget_clock.h
widget_audio.o: Makefile widget_audio.c							window.h main.h draw.h text.h config.h services.h
widget_desktop.o: Makefile widget_desktop.c						window.h main.h draw.h text.h config.h services.h
widget_ssh.o: Makefile widget_ssh.c								window.h main.h draw.h text.h config.h services.h
widget_vpn.o: Makefile widget_vpn.c								window.h main.h draw.h text.h config.h services.h
widget_usb.o: Makefile widget_usb.c								window.h main.h draw.h text.h config.h            hardware.h

=== settings/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 hildon-1 dbus-1 gconf-2.0

LIBS = -lm `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROG = advanced-systemui-settings

OBJS = main.o battery.o clock.o brightness.o rbv_keys.o button_modes.o power_button.o device_lock.o ui.o alarm.o services.o mce.o

all: $(PROG)
	strip $(PROG)

clean:
	rm -f $(PROG) *.o core

install: $(PROG)
	strip $(PROG)
	install -o root -g root -m 755 $(PROG) $(DESTDIR)/usr/bin/

$(PROG): $(OBJS)
	@echo "linking $(PROG)"
	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""

main.o: Makefile main.c *.h
battery.o: Makefile battery.c battery.h main.h
clock.o: Makefile clock.c clock.h main.h
brightness.o: Makefile brightness.c brightness.h main.h
rbv_keys.o: Makefile rbv_keys.c rbv_keys.h main.h
button_modes.o: Makefile button_modes.c button_modes.h main.h
power_button.o: Makefile power_button.c power_button.h main.h
device_lock.o: Makefile device_lock.c device_lock.h main.h
ui.o: Makefile ui.c ui.h main.h
alarm.o: Makefile alarm.c alarm.h main.h
services.o: Makefile services.c services.h main.h
mce.o: Makefile mce.c mce.h main.h

=== statusbar/Makefile ===
#	Advanced System UI
#	Copyright (c) 2011 Brand Huntsman <brand.huntsman@gmail.com>

CC = gcc
LD = $(CC)

DEPS = gtk+-2.0 libosso hildon-1 libhildondesktop dbus-1 gconf-2.0

LIBS = `pkg-config --libs $(DEPS)`
CFLAGS = -O2 -Wall -W -Wno-unused-parameter `pkg-config --cflags $(DEPS)`
LDFLAGS =

PROGS = libasui-battery.so

all: $(PROGS)

clean:
	rm -f $(PROGS) *.o core

install: $(PROGS)
	install -o root -g root -m 644 libasui-*.so $(DESTDIR)/usr/lib/hildon-desktop/
	install -o root -g root -m 644 asui-*.desktop $(DESTDIR)/usr/share/applications/hildon-status-bar/
	install -o root -g root -m 644 icons/* $(DESTDIR)/usr/share/icons/hicolor/40x40/hildon/

libasui-battery.so: battery.o
	@echo "linking $@"
	@$(LD) -shared -o $@ $^ $(LDFLAGS) $(LIBS)

.c.o:
	@echo "compiling $<"
	@$(CC) $(CFLAGS) -o $@ -c $<

battery.o: Makefile battery.c

=== debian/changelog ===
advanced-systemui (0.5.8) unstable; urgency=low

  * fix: charging point on battery graph only resets when capacity increases more than 1% above previous capacity
  * fix: bluetooth state is preserved when exiting flight mode
  * fix: don't show long tap marker or drain rate in charging runlevel
  * fix: power button key events are used instead of the HAL signal, long press will always work now
  * fix: don't display negative battery drain values
  * fix: blanking pause detection issue when blank and dim timeouts are identical
  * fix: overall UI throttling didn't use the 60 second limit for tap throttling, it does now
  * fix: restore autolock/stayslit settings on restart and blanking pause failure
  * fix: memory/swap tap markers were at the wrong horizontal position
  * fix: battery graph won't flip to landscape when opened from inverted landscape
  * changed 28% battery icon to all yellow
  * cosmetic changes to asui-settings main menu
  * an external shutdown (long press power button) now displays the "shutting down" dialog
  * statusbar applet plays charging and battery low sounds
  * setting to shutdown system when power button is long pressed and screen is locked
  * setting to prevent power button from blanking screen when locked, instead unlocks or asks for secondary unlock key
  * button to change system, keypad and touchscreen volumes
  * setting to split lock buttons in two halves so both actions can be handled with short taps instead of short and long taps
  * moved power button and device lock settings to their own pages
  * power button double-tap support and actions for secure and normal mode
  * lock and blank actions for the power button
  * ASUI reads longpress and double-tap delays from /etc/mce/mce.ini
  * MCE settings page to configure values in /etc/mce/mce.ini
  * moved tap markers inside flight mode buttons
  * changed screenshot long tap marker to an orange underline
  * added circular border around screenshot delay buttons
  * changed innerline color (dotted button borders) from #cccccc to #e3e3e3 for white theme
  * changed secondary selection color (long tap markers) from #ee6100 to #ee8a00 for white theme
  * moved long tap markers inside rotation button icons
  * aligned rotation icons

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Mon, 23 May 2011 23:07:52 -0600

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes, button editor, screenshot button and minor enhancements
+XB-Maemo-Upgrade-Description: bug fixes and enhancements, better power button support, sounds button, MCE settings
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0

## advanced-systemui 0.5.9

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 DEPS = xft dbus-1 gconf-2.0
 # conic
 
-LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread
+LIBS = -lX11 -lXpm -lm -lXrandr `pkg-config --libs $(DEPS)` -pthread -lesd
 CFLAGS = -O2 -Wall -W -Wno-unused-parameter -I/usr/include/X11/Xft `pkg-config --cflags $(DEPS)` -pthread
 LDFLAGS =
 PROG = $(NAME)
@@ -40,7 +40,7 @@
 	@(cd statusbar ; make)
 
 clean:
-	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core
+	rm -f $(NAME) $(NAME)-test $(NAME)-debug *.o core default-theme.inc images/white_*.xpm
 	@(cd settings ; make clean)
 	@(cd statusbar ; make clean)
 
@@ -53,11 +53,6 @@
 	cp scripts/asui.sh $(DESTDIR)/usr/bin/asui ; chown root.root $(DESTDIR)/usr/bin/asui ; chmod 755 $(DESTDIR)/usr/bin/asui
 
 	# autobuilder doesn't support -T
-	# install -o root -g root -m 755 -T scripts/screenshot.sh $(DESTDIR)/usr/bin/$(NAME)-screenshot
-	cp scripts/screenshot.sh $(DESTDIR)/usr/bin/$(NAME)-screenshot
-	chown root.root $(DESTDIR)/usr/bin/$(NAME)-screenshot ; chmod 755 $(DESTDIR)/usr/bin/$(NAME)-screenshot
-
-	# autobuilder doesn't support -T
 	# install -o root -g root -m 755 -T scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME)
 	cp scripts/$(NAME).init.d $(DESTDIR)/etc/init.d/$(NAME) ; chown root.root $(DESTDIR)/etc/init.d/$(NAME) ; chmod 755 $(DESTDIR)/etc/init.d/$(NAME)
 	# install -o root -g root -m 755 -T scripts/$(NAME)-early.init.d $(DESTDIR)/etc/init.d/$(NAME)-early
@@ -67,6 +62,8 @@
 	install -o root -g root -m 644 scripts/asui*_icon.png $(DESTDIR)/usr/share/icons/hicolor/64x64/hildon/
 	install -o root -g root -m 644 scripts/$(NAME).sudoers $(DESTDIR)/etc/sudoers.d/
 
+	install -o root -g root -m 644 themes/* $(DESTDIR)/etc/asui-themes/
+
 	@(cd settings ; make install)
 	@(cd statusbar ; make install)
 
@@ -74,13 +71,21 @@
 	@echo "linking $(PROG)"
 	@$(LD) -o $(PROG) $(OBJS) $(LDFLAGS) $(LIBS)
 
+images/white_reboot.xpm: images/make_white.sh images/reboot.xpm images/shutdown.xpm
+	@echo "generating white images"
+	@(cd images ; ./make_white.sh)
+
+default-theme.inc: themes/default.bw Makefile
+	@echo "generating default theme"
+	@awk '{first=substr($$0, 0, 1); if(first >= "a" && first <= "z") printf("x_get_color(\"#%s\", \"#%s\"); // %s\n", $$3, $$4, $$1);}' themes/default.bw > default-theme.inc
+
 .c.o:
 	@echo "compiling $<"
 	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""
 
-main.o: Makefile main.c powerbutton.h							window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h button_rotate.h button_reboot_shutdown.h
+main.o: Makefile main.c powerbutton.h							window.h main.h draw.h text.h config.h services.h hardware.h dialog.h dbus.h dsme.h secure.h alarm.h flashlight.h widget_battery.h widget_clock.h widget_brightness.h widget_volume.h button_rotate.h button_reboot_shutdown.h button_screenshot.h
 config.o: Makefile config.c										         main.h               config.h            hardware.h
-window.o: Makefile window.c										window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm
+window.o: Makefile window.c default-theme.inc					window.h main.h        text.h config.h services.h hardware.h dialog.h dbus.h                 alarm.h flashlight.h widget_battery.h widget_clock.h                                     images/*.xpm images/white_reboot.xpm
 dialog.o: Makefile dialog.c										window.h main.h draw.h text.h                                dialog.h
 draw.o: Makefile draw.c											window.h        draw.h text.h config.h
 text.o: Makefile text.c											window.h main.h        text.h
@@ -97,7 +102,7 @@
 governor_dsp.o: Makefile governor_dsp.c							window.h main.h draw.h text.h                     hardware.h dialog.h                                                                                                                 governor_dsp.h
 
 button_lock.o: Makefile button_lock.c							         main.h draw.h text.h config.h            hardware.h          dbus.h
-button_flight_mode.o: Makefile button_flight_mode.c				window.h main.h draw.h        config.h services.h hardware.h
+button_flight_mode.o: Makefile button_flight_mode.c				         main.h draw.h text.h config.h services.h hardware.h
 button_reboot_shutdown.o: Makefile button_reboot_shutdown.c		window.h main.h draw.h text.h config.h            hardware.h dialog.h                                                                                                                 button_reboot_shutdown.h
 button_rotate.o: Makefile button_rotate.c						window.h main.h draw.h        config.h            hardware.h                                                                                                                          button_rotate.h
 button_key_repeat.o: Makefile button_key_repeat.c				window.h main.h draw.h text.h config.h            hardware.h

=== settings/Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 PROG = advanced-systemui-settings
 
-OBJS = main.o battery.o clock.o brightness.o rbv_keys.o button_modes.o power_button.o device_lock.o ui.o alarm.o services.o mce.o
+OBJS = main.o statusbar.o battery.o clock.o brightness.o wifi.o rbv_keys.o button_modes.o power_button.o device_lock.o ui.o alarm.o services.o mce.o
 
 all: $(PROG)
 	strip $(PROG)
@@ -33,9 +33,11 @@
 	@$(CC) $(CFLAGS) -o $@ -c $< -DARCH_$(SBOX_DPKG_INST_ARCH) -DBINNAME="\"$(PROG)\""
 
 main.o: Makefile main.c *.h
+statusbar.o: Makefile statusbar.c statusbar.h main.h
 battery.o: Makefile battery.c battery.h main.h
 clock.o: Makefile clock.c clock.h main.h
 brightness.o: Makefile brightness.c brightness.h main.h
+wifi.o: Makefile wifi.c wifi.h main.h
 rbv_keys.o: Makefile rbv_keys.c rbv_keys.h main.h
 button_modes.o: Makefile button_modes.c button_modes.h main.h
 power_button.o: Makefile power_button.c power_button.h main.h

=== debian/changelog ===
advanced-systemui (0.5.9) unstable; urgency=low

  * fix: widget page should no longer change in portrait mode when barely sliding finger on button bar
  * fix: statusbar applet plays sounds immediately without dbus lag
  * fix: screenshot plays sound immediately after taking shot without dbus lag
  * fix: changed sound played on battery low signal
  * fix: hour tick marks on battery graph are now symmetrical
  * drain rate overlay for statusbar applet
  * cpu usage overlay for statusbar applet
  * wifi and bluetooth overlays for statusbar applet
  * added secondary background color, highlight refactoring, renamed line_color and innerline_color, added button_color and stepper_color, tweaked some colors
  * added blue_color, renamed status colors, renamed white_color to bold_color
  * swiping from button bar to widgets slides the window
  * unmapping the window slides it off the screen
  * mapping the window slides it on to the screen
  * color theme file support
  * draw flight mode button with code instead of XPM file
  * added a statusbar settings page
  * desktop widget can be long pressed to restart the service
  * split statusbar into multiple source files for better encapsulation and easier maintenance
  * low battery notifications and sounds at 4, 10 and 16%
  * battery graph shows total screen on time since last removing device from charger
  * changed battery graph total time to days:hour:minute format
  * setting to enter and exit flight mode briefly when wifi is manually disconnected or times out (fixes a high drain problem)

 -- Brand Huntsman <http://qzx.com/asui/?p0=email&page=asui>  Sat,  4 Jun 2011 23:03:11 -0600

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  .
  <URL:http://asui.garage.maemo.org>
 XB-Maemo-Display-Name: Advanced SystemUI
-XB-Maemo-Upgrade-Description: bug fixes and enhancements, better power button support, sounds button, MCE settings
+XB-Maemo-Upgrade-Description: bug fixes and enhancements, user-defined color themes, drain/cpu/wifi/bluetooth in statusbar applet, window sliding
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAAAXNSR0IArs4c
  6QAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
